For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet records
      • GETGet record Indices
      • PUTUpdate records
      • POSTInsert records
      • DELDelete records
      • PUTFinds and replaces field values matching search criteria
      • PATCHBulk update records with field values
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRecords

Insert records

POST
https://api.x.flatfile.com/v1/sheets/:sheetId/records
POST
/v1/sheets/:sheetId/records
$curl -X POST https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/records \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "firstName": {
> "valid": true,
> "messages": [],
> "value": "John"
> },
> "lastName": {
> "valid": true,
> "messages": [],
> "value": "Smith"
> },
> "email": {
> "valid": true,
> "messages": [],
> "value": "john.smith@example.com"
> }
> }
>]'
1{
2 "data": {
3 "success": true,
4 "commitId": "us_vr_YOUR_ID",
5 "counts": {
6 "total": 1000,
7 "valid": 1000,
8 "error": 0
9 },
10 "records": [
11 {
12 "id": "us_rc_YOUR_ID",
13 "values": {
14 "firstName": {
15 "messages": [],
16 "updatedAt": "2023-11-20T16:59:40.286Z",
17 "valid": true,
18 "value": "John"
19 },
20 "lastName": {
21 "messages": [],
22 "updatedAt": "2023-11-20T16:59:40.286Z",
23 "valid": true,
24 "value": "Smith"
25 },
26 "email": {
27 "messages": [],
28 "updatedAt": "2023-11-20T16:59:40.286Z",
29 "valid": true,
30 "value": "john.smith@example.com"
31 }
32 },
33 "valid": true,
34 "metadata": {},
35 "config": {}
36 }
37 ],
38 "versionId": "us_vr_YOUR_ID"
39 }
40}
Adds records to a workbook sheet
Was this page helpful?
Previous

Delete records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects a list of maps from strings to objects.
validbooleanOptional
messageslist of objectsOptional
valuestring or integer or long or double or boolean or date or datetime or list of stringsOptional
layerstringOptional
updatedAtdatetimeOptional
metadatamap from strings to anyOptionalDeprecated
Deprecated, use record level metadata instead.

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error